{
  "dashboardAuthorizations": {
    "allAuthorized": false,
    "authorizations": [
      {
        "objectRef": {
          "objectId": "AFxJs553",
          "objectType": "MODEL_EVALUATION_STORE"
        },
        "modes": [
          "READ"
        ]
      },
      {
        "objectRef": {
          "objectId": "RETRAINMODEL",
          "objectType": "SCENARIO"
        },
        "modes": [
          "READ"
        ]
      },
      {
        "objectRef": {
          "objectId": "mes_for_input_drift_metrics",
          "objectType": "DATASET"
        },
        "modes": [
          "READ"
        ]
      },
      {
        "objectRef": {
          "objectId": "25izSjCF",
          "objectType": "MODEL_EVALUATION_STORE"
        },
        "modes": [
          "READ"
        ]
      }
    ]
  },
  "exposedObjects": {
    "objects": []
  },
  "projectType": "REGULAR",
  "projectAppType": "REGULAR",
  "hasSetupSection": false,
  "bundleExporterSettings": {
    "exportOptions": {
      "exportUploads": false,
      "exportManagedFS": false,
      "exportAnalysisModels": false,
      "exportSavedModels": false,
      "exportManagedFolders": false,
      "exportModelEvaluationStores": false,
      "exportProjectResources": false,
      "exportLabelingTasks": false,
      "exportAllInputDatasets": false,
      "exportAllDatasets": false,
      "exportAllInputManagedFolders": false,
      "exportGitRepository": false,
      "exportInsightsData": false,
      "useManualPluginsInfo": false,
      "exportSavedModelsRequiredVersions": false,
      "exportNotebooksWithOutputs": true,
      "exportForNewBranch": false,
      "exportKnowledgeBanks": false,
      "exportEditableDatasets": true,
      "exportPromptStudioHistories": false,
      "exportNotebooks": true,
      "includedDatasetsData": [
        {
          "name": "merchant_info_csv",
          "type": "UploadedFiles"
        },
        {
          "name": "cardholder_info_csv",
          "type": "UploadedFiles"
        }
      ],
      "includedSavedModels": [
        {
          "id": "Z7LESED5",
          "name": "Predict authorized_flag (binary)"
        }
      ],
      "includedModelEvaluationStores": [],
      "includedManagedFolders": [
        {
          "id": "F5z23sNO",
          "name": "new_transaction_data"
        },
        {
          "id": "IGM9DvxG",
          "name": "transaction_data"
        }
      ],
      "includedCodeStudios": [],
      "includedKnowledgeBanks": [],
      "includedLabelingTasks": [],
      "includedPromptStudiosHistories": [],
      "shareAllInputDatasets": false,
      "exportForeignObjectsReferences": true
    }
  },
  "owner": "admin",
  "permissionsVersion": "V2",
  "permissions": [],
  "additionalDashboardUsers": {
    "users": []
  },
  "tutorialProject": false,
  "settings": {
    "flowAnchorSourcesAndSinks": true,
    "flowDisplaySettings": {
      "zonesGraphRenderingAlgorithm": "DOT_OLDRANK",
      "zonesGraphConnectZones": true,
      "zonesGraphForJobs": true,
      "respectTraversalOrder": false,
      "zonesManualPositioning": false
    },
    "gitCommitMode": "AUTO",
    "disableAutomaticTriggers": false,
    "integrations": {
      "integrations": []
    },
    "flowBuildSettings": {
      "mergeSparkPipelines": false,
      "pruneBeforeSparkPipelines": true,
      "mergeSqlPipelines": false,
      "pruneBeforeSqlPipelines": true,
      "defaultRecipeHashPropagationBehavior": "ENABLED"
    },
    "sharingRequestsEnabled": "INHERIT",
    "limitedVisibilityEnabled": "INHERIT",
    "accessRequestsEnabled": "INHERIT",
    "limitsSettings": {
      "memSampleBytes": {
        "soft": -1,
        "hard": -1
      },
      "shakerMemTableBytes": {
        "soft": -1,
        "hard": -1
      },
      "attachmentBytes": {
        "soft": -1,
        "hard": -1
      }
    },
    "relocationSettings": {
      "sqlLikeRecipesInitializationMode": "RESOLVED_TABLE_REFERENCES"
    },
    "recipeEnginesPreferences": {
      "forbiddenEngines": [],
      "enginesPreferenceOrder": [],
      "forbiddenByRecipeType": {},
      "preferenceByRecipeType": {}
    },
    "codeEnvs": {
      "python": {
        "mode": "INHERIT",
        "preventOverride": false
      },
      "r": {
        "mode": "INHERIT",
        "preventOverride": false
      },
      "julia": {
        "mode": "INHERIT",
        "preventOverride": false
      }
    },
    "container": {
      "containerMode": "INHERIT"
    },
    "containerForVisualRecipesWorkloads": {
      "containerMode": "INHERIT"
    },
    "datasetsCreationSettings": {
      "useGlobal": true,
      "preferedStorageFormats": "CSV_ESCAPING_NOGZIP_FORHIVE,CSV_EXCEL_GZIP,PARQUET_HIVE",
      "virtualizable": false,
      "allowUploadsWithoutConnection": true
    },
    "hiveEngineCreationSettings": {
      "useGlobal": true,
      "executionEngine": "HIVECLI_LOCAL"
    },
    "sparkEngineCreationSettings": {
      "useGlobal": true,
      "executionEngine": "SPARK_SUBMIT",
      "useGlobalMetastore": false
    },
    "impalaEngineCreationSettings": {
      "useGlobal": true,
      "streamMode": true
    },
    "wikiSettings": {
      "promoted": false
    },
    "cluster": {
      "clusterMode": "INHERIT"
    },
    "k8sCluster": {
      "clusterMode": "INHERIT"
    },
    "virtualWebAppBackendSettings": {
      "mode": "INHERIT",
      "preventOverride": false,
      "infra": {
        "containerSelection": {
          "containerMode": "INHERIT"
        },
        "overrideGlobalK8sExposition": false,
        "exposition": {
          "type": "local_process",
          "params": {}
        },
        "scaling": {
          "initialReplicas": 1,
          "progressDeadlineSeconds": 600,
          "hpa": false,
          "hpaTargetCPUPercent": 0,
          "hpaMetrics": [],
          "hpaMinPods": 0,
          "hpaMaxPods": 0,
          "hpaAnnotations": []
        },
        "deploymentModifier": {
          "config": {}
        }
      }
    },
    "dkuProperties": []
  },
  "name": "Real-time APIs",
  "imgPattern": 8,
  "showInitials": false,
  "metrics": {
    "probes": [],
    "engineConfig": {
      "padRunsWithMetrics": false,
      "hive": {
        "active": true,
        "extraConf": []
      },
      "basic": {},
      "dss": {
        "active": true,
        "selection": {
          "useMemTable": false,
          "filter": {
            "distinct": false,
            "enabled": false
          },
          "partitionSelectionMethod": "ALL",
          "latestPartitionsN": 1,
          "ordering": {
            "enabled": false,
            "rules": []
          },
          "samplingMethod": "FULL",
          "maxRecords": -1,
          "targetRatio": 0.02,
          "ascending": true,
          "withinFirstN": -1,
          "maxReadUncompressedBytes": -1
        }
      },
      "sql": {
        "active": true
      },
      "impala": {
        "active": true
      },
      "spark": {
        "active": true,
        "extraConf": []
      },
      "python": {}
    },
    "displayedState": {
      "columns": [],
      "metrics": []
    }
  },
  "metricsChecks": {
    "runOnBuild": false,
    "checks": [],
    "displayedState": {
      "checks": []
    }
  },
  "creationTag": {
    "versionNumber": 0,
    "lastModifiedBy": {
      "login": "sean"
    },
    "lastModifiedOn": 1668611443315,
    "extendedProperties": {}
  },
  "description": "# Welcome to the Real-time APIs Tutorial\n\n\u003cp class\u003d\"text-center\"\u003e\n   \u003ca href\u003d\"https://academy.dataiku.com/api-deployment\" target\u003d\"_blank\" class\u003d\"btn btn-datasets-color btn-cta-big-mod\"\u003e\u003ci class\u003d\"icon-dku-sample_project\" class\u003d\"btn-cta-big-mod-icon\" /\u003e\u0026nbsp;Go to the Course on Dataiku Academy\n  \u003c/a\u003e\n\u003c/p\u003e\n\nThis project supports the real-time tutorial found in the [Knowledge Base](https://knowledge.dataiku.com/latest/mlops-o16n/real-time-apis/basics/tutorial-index.html). It is also the first tutorial in the [API Deployment](https://academy.dataiku.com/api-deployment) course in the [MLOps Practitioner](https://academy.dataiku.com/path/mlops) learning path.",
  "shortDesc": "Learn how to deploy API services for real-time scoring use cases in this [tutorial](https://knowledge.dataiku.com/latest/mlops-o16n/real-time-apis/basics/tutorial-index.html).",
  "tags": [
    "academy",
    "downloads",
    "tutorial"
  ],
  "customFields": {
    "gdpr_forbid_dataset_sharing": false,
    "gdpr_forbid_dataset_export": false,
    "gdpr_forbid_model_creation": false,
    "gdpr_forbid_uploaded_datasets": false
  },
  "checklists": {
    "checklists": [
      {
        "id": "3612b3",
        "title": "Todo list",
        "createdOn": 0,
        "items": [
          {
            "done": false,
            "text": "Create an API endpoint from a prediction model in the Flow of a Design node project.",
            "createdOn": 1700137072136,
            "createdBy": "admin",
            "stateChangedOn": 0
          },
          {
            "done": false,
            "text": "Package that API endpoint inside an API service.",
            "createdOn": 1700137087251,
            "createdBy": "admin",
            "stateChangedOn": 0
          },
          {
            "done": false,
            "text": "Publish that API service to the API Deployer.",
            "createdOn": 1700137094728,
            "createdBy": "admin",
            "stateChangedOn": 0
          },
          {
            "done": false,
            "text": "Deploy that API service to a production infrastructure (an API node).",
            "createdOn": 1700137100758,
            "createdBy": "admin",
            "stateChangedOn": 0
          },
          {
            "done": false,
            "text": "Add a query enrichment to a prediction endpoint in an API service.",
            "createdOn": 1700160812350,
            "createdBy": "admin",
            "stateChangedOn": 0
          },
          {
            "done": false,
            "text": "Add a dataset lookup endpoint to an API service.",
            "createdOn": 1700160819933,
            "createdBy": "admin",
            "stateChangedOn": 0
          },
          {
            "done": false,
            "text": "Redeploy new versions of API services.",
            "createdOn": 1721663972003,
            "createdBy": "admin",
            "stateChangedOn": 0
          },
          {
            "done": false,
            "text": "Deploy multiple generations of a prediction endpoint to use for A/B testing.",
            "createdOn": 1721663978500,
            "createdBy": "admin",
            "stateChangedOn": 0
          }
        ]
      }
    ]
  }
}